package com.ym.mec.biz.dal.dto;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.ChildrenDayDegreeDetail;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class ChildrenDayDetailDto {

    @ApiModelProperty(value = "用户信息", required = false)
    private SysUser user;

    @ApiModelProperty(value = "声部id", required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "购买信息详情", required = false)
    private List<ChildrenDayDegreeDetail> childrenDayDegreeDetails;

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public List<ChildrenDayDegreeDetail> getChildrenDayDegreeDetails() {
        return childrenDayDegreeDetails;
    }

    public void setChildrenDayDegreeDetails(List<ChildrenDayDegreeDetail> childrenDayDegreeDetails) {
        this.childrenDayDegreeDetails = childrenDayDegreeDetails;
    }
}
